import com.yundashi.sms.SmsMultiSender;
import com.yundashi.sms.SmsMultiSenderResult;
import com.yundashi.sms.SmsSingleSender;
import com.yundashi.sms.SmsSingleSenderResult;

import java.util.ArrayList;

public class SmsSDKDemo {
    public static void main(String[] args) {
        try {
            //请根据实际 appid 和 appkey 进行开发，以下只作为演示 sdk 使用
            long appid = 1234L;
            String appkey = "abcdefgf";

            String phoneNumber1 = "12345678";
            String phoneNumber2 = "12345678";
            String phoneNumber3 = "12345678";
            int tmplId = 1234;

            //初始化单发
            SmsSingleSender singleSender = new SmsSingleSender(appid, appkey);
            SmsSingleSenderResult singleSenderResult;

            //普通单发
            String msg = "ofo助力节能周，本周五至周日小黄车继续免费骑。连续骑行app上签到，还能领取骑行鼓励金，打卡天数越多，奖品越丰富。回T退订";
            singleSenderResult = singleSender.send(1, "86", phoneNumber1, msg, "", "");
            System.out.println(singleSenderResult);



            //指定模板单发
            //假设短信模板 id 为 1，模板内容为：测试短信，{1}，{2}，{3}，上学。
            ArrayList<String> params = new ArrayList<String>();
            params.add("abcd");
            params.add("2");
            singleSenderResult = singleSender.sendWithParam("86", "13911005639", tmplId, params, "", "", "");
            System.out.println(singleSenderResult);

            // 初始化群发
            SmsMultiSender multiSender = new SmsMultiSender(appid, appkey);
            SmsMultiSenderResult multiSenderResult;

            // 普通群发
            // 下面是 3 个假设的号码
            ArrayList<String> phoneNumbers = new ArrayList<String>();
            phoneNumbers.add(phoneNumber1);
            phoneNumbers.add(phoneNumber2);
            phoneNumbers.add(phoneNumber3);
            multiSenderResult = multiSender.send(1, "86", phoneNumbers, msg, "", "");
            System.out.println(multiSenderResult);


            // 指定模板群发
            // 假设短信模板 id 为 1，模板内容为：测试短信，{1}，{2}，{3}，上学。
            params = new ArrayList<String>();
            params.add("ABCD");
            params.add("1");
            multiSenderResult = multiSender.sendWithParam("86", phoneNumbers, tmplId, params, "", "", "");
            System.out.println(multiSenderResult);


        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
